(function ($) {
  'use strict';

  // Initialize the jQuery File Upload widget:
  $('#jquery-kaltura-uploader-form').fileupload({
    sequentialUploads: true,
    acceptFileTypes: /(\.|\/)(gif|jpe?g|png|tiff|asf|avi|mpe?g|wmv|vob|mov|mp4|flv)$/i,
    previewMaxWidth: 120
  });

  // Load existing files:
  $('#jquery-kaltura-uploader-form').each(function () {
    var that = this;
    $.getJSON(this.action, function (result) {
      if (result && result.length) {
        $(that).fileupload('option', 'done')
        .call(that, null, {
          result: result
        });
      }
    });
  });

})(jQuery);
